Pegasus Mail & Mercury

Welcome to the Community for Pegasus Mail and
The Mercury Mail Transport System, the Internet's longest-serving PC e-mail system!
Welcome to Pegasus Mail & Mercury Sign in | Join | Help
in
Home Blogs Forums Downloads Pegasus Mail Overview Mercury Overview Wiki

PGP-Frontend for Pegasus Mail breaks sending

Last post 11-16-2009, 22:08 by idw. 3 replies.
Sort Posts: Previous Next
  •  11-16-2009, 9:08

    • symbex is not online. Last active: 07-24-2017, 12:37 symbex
    • Not Ranked
    • Joined on 10-02-2009
    • Member
    • Points 80

    PGP-Frontend for Pegasus Mail breaks sending

     T think I finally found the proper group to post to, if it isn't please direct me to the right one.

     I installed idw's PGP-Frontend for Pegasus Mail and I am using PGP version 12 and it does not include that version.  My Pegasus now will not send giving an error message of "You do not have an active an active STMP definition for sending mail via the internet.' although it is set up properly for I did not change it.

     I can't uninstall the  PGP-Frontend for Pegasus Mail because I get the error message "Runtime error at (6:68) Internal error cannot call "EXTRACTTEMPORARYFILE" function during Uninstall.

     I can't call up PMPGPHelper.exe because I get the error message "Wrong PGP version 6.5.x, 7x, 8x or 9x required."

     How can I safely get my Pegasus mail running properly again?

    Morris Gray
  •  11-16-2009, 12:47

    • idw is not online. Last active: Thu, Oct 17 2019, 21:57 idw
    • Top 10 Contributor
    • Joined on 03-25-2007
    • Germany
    • SuperStar
    • Points 47,330
    • BetaTeam

    Re: PGP-Frontend for Pegasus Mail breaks sending

    symbex:
    I think I finally found the proper group to post to, if it isn't please direct me to the right one.

    I installed idw's PGP-Frontend for Pegasus Mail and I am using PGP version 12 and it does not include that version.  My Pegasus now will not send giving an error message of "You do not have an active an active STMP definition for sending mail via the internet.' although it is set up properly for I did not change it.

    PGP Version 12 doesn't exist yet, you probably mean Version 9.12. I'm currently downloading this version and its sources for testing. The last one I checked was 9.10 which works here without any problems (did you download the latest version (6.2.7.1) of my extension?).

    symbex:
    I can't uninstall the  PGP-Frontend for Pegasus Mail because I get the error message "Runtime error at (6:68) Internal error cannot call "EXTRACTTEMPORARYFILE" function during Uninstall.

    This is a weird message (most probably issued by the installer as the extension doesn't provide such a message text): What Windows version do you use?

    symbex:
    I can't call up PMPGPHelper.exe because I get the error message "Wrong PGP version 6.5.x, 7x, 8x or 9x required."

    How can I safely get my Pegasus mail running properly again?

    You'll always find all installation steps described in the Admin section of my manual (which should have been shown to you on installation as well and can be found in PMPGP's installation directory; after installation there's also a shortcut to it in PMPGP's Start menu group usually called Pegasus Mail PGP Utilities => Help Manual). It should be enough to rename (or remove) the fff-files (PMPGPMain.fff and PMPGPCryptor.fff), though, for preventing Pegasus Mail from attempting to load the extension.


    Michael

    --
    PGP Key ID (RSA 2048): 0xC45D831B
    PGP Plugin for Pegasus Mail: <http://www.pmpgp.de/pmpgp/>
    S/MIME Certificate Fingerprint: 94 c6 b4 71 0c 62 30 88 a5 b2 77 01 74 2b 86 66 3b 7e 65 7c
  •  11-16-2009, 19:48

    • symbex is not online. Last active: 07-24-2017, 12:37 symbex
    • Not Ranked
    • Joined on 10-02-2009
    • Member
    • Points 80

    Re: PGP-Frontend for Pegasus Mail breaks sending

     Yes of course it was PGP 9.12 your ProductVersion 6.2.7.1 / 7-2009

    This is a weird message (most probably issued by the installer as the extension doesn't provide such a message text): What Windows version do you use?

    Vista Home Premium

     I have got Pmail working by renaming a file or two.

     I will now await your notification of an upgrade to your program to include PGP 9.12 good luck with it.

    What do you estimate the timing on the upgrade will be?

     Morris

  •  11-16-2009, 22:08

    • idw is not online. Last active: Thu, Oct 17 2019, 21:57 idw
    • Top 10 Contributor
    • Joined on 03-25-2007
    • Germany
    • SuperStar
    • Points 47,330
    • BetaTeam

    Re: PGP-Frontend for Pegasus Mail breaks sending

    symbex:
    I will now await your notification of an upgrade to your program to include PGP 9.12 good luck with it.

    Now I had enough time for installing version 9.12 to find out that PGP Corp. broke their SDK versioning, i.e. the latest version returns a value lower than the previous one when querying it for the SDK version. From what I can tell by comparing the sources there shouldn't be any other reason to fail. Unfortunately I can't test this on my machine as PGP 9.12 constantly crashes when trying to use PGPserv, so I had to revert to 9.10. I've implemented a different version check and can provide a test version (on request), but keep in mind that I can't currently test it myself.


    Michael

    --
    PGP Key ID (RSA 2048): 0xC45D831B
    PGP Plugin for Pegasus Mail: <http://www.pmpgp.de/pmpgp/>
    S/MIME Certificate Fingerprint: 94 c6 b4 71 0c 62 30 88 a5 b2 77 01 74 2b 86 66 3b 7e 65 7c
View as RSS news feed in XML

Contact | Advertise | Host provider: PraktIT | Terms of Use | Privacy Statement
Copyright © 2007-2011 David Harris / Peter Strömblad. | Pegasus Mail Home Page